Assignee:

Category: Processing/GRASS

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 23899
Description

Currently, coordinates have to be entered by hand (in some cases with expressions) for several GRASS modules.
It would be much better to use the coordinate capture widget used e.g. for the new road graph commands.

Affected commands are at least:

- m.cogo
- r.circle
r.cost.coordinates

r.drain

- r.horizon.height

r.lake.coords

r.plane (split in two fields)
- r.spreadpath
r.viewshed

- r.walk.coords
- r.water.outlet
- r.what.coords

v.* commands still to be checked.

History

#1 - 2016-12-15 07:35 AM - Saber Razmjooei
- Category set to GUI

#2 - 2016-12-15 08:22 AM - Paolo Cavallini
- Category changed from GUI to Processing/GRASS

IMHO this has more to do with Processing that with GUI itself.

#3 - 2016-12-28 09:35 AM - Alexander Bruy
- Resolution set to fixed/implemented
- Status changed from Open to Feedback

Should be fixed in master.

#4 - 2016-12-29 11:04 PM - Alexander Bruy
- Status changed from Feedback to Closed
#5 - 2018-12-03 05:20 AM - Alister Hood
- Description updated

For the record, it looks like the implementation is designed to cater just for algorithms requiring coordinates as a single easting,northing pair i.e. it doesn't
cater for:

- r.plane because it takes the input "split in two fields", or

- r.walk.coords because it can take the coordinates for more than one point.

EDIT - | have no idea why redmine claims | updated the description!
